> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Audit

> Retrieve a specific audit with its audited pages.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/audits/{audit_id}
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/audits/{audit_id}:
    get:
      tags:
        - Audits
      summary: Get Audit
      description: Retrieve a specific audit with its audited pages.
      operationId: get_audit_api_v1_public_audits__audit_id__get
      parameters:
        - name: audit_id
          in: path
          required: true
          schema:
            type: integer
            title: Audit Id
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebsiteAuditWithPageSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebsiteAuditWithPageSchema:
      properties:
        id:
          type: integer
          title: Id
        website_id:
          type: integer
          title: Website Id
        status:
          $ref: '#/components/schemas/WebsiteAuditStatus'
        overall_score:
          type: number
          title: Overall Score
        max_possible_score:
          type: number
          title: Max Possible Score
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
        number_of_audited_pages:
          type: integer
          title: Number Of Audited Pages
        language:
          $ref: '#/components/schemas/Language'
          default: en
        audit_type:
          anyOf:
            - $ref: '#/components/schemas/AuditType'
            - type: 'null'
        pages:
          items:
            $ref: '#/components/schemas/WebsiteAuditPageItemSchema'
          type: array
          title: Pages
      type: object
      required:
        - id
        - website_id
        - status
        - overall_score
        - max_possible_score
        - started_at
        - completed_at
        - created_at
        - number_of_audited_pages
        - pages
      title: WebsiteAuditWithPageSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebsiteAuditStatus:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: WebsiteAuditStatus
    Language:
      type: string
      enum:
        - en
        - fr
      title: Language
    AuditType:
      type: string
      enum:
        - FULL
        - SELECTED_PAGES
      title: AuditType
    WebsiteAuditPageItemSchema:
      properties:
        id:
          type: integer
          title: Id
        page_url:
          type: string
          title: Page Url
        page_category:
          $ref: '#/components/schemas/WebsiteAuditPageCategory'
        overall_score:
          type: number
          title: Overall Score
        max_possible_score:
          type: number
          title: Max Possible Score
        error_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Text
      type: object
      required:
        - id
        - page_url
        - page_category
        - overall_score
        - max_possible_score
        - error_text
      title: WebsiteAuditPageItemSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WebsiteAuditPageCategory:
      type: string
      enum:
        - global
        - home_page
        - blog_post
        - blog_list_page
        - service_page
        - product_page
        - pricing_page
        - landing_page
        - docs_page
        - knowledge_base_article
        - faq_page
        - about_page
        - contact_page
        - checkout_page
        - other
        - default
        - unreachable
        - case_study
        - guide
        - product_list_page
        - cart_page
        - legal_page
        - auth_page
        - category_page
        - search_page
        - utility_page
        - glossary_page
        - comparison_page
        - use_case_page
        - ecommerce_product_page
      title: WebsiteAuditPageCategory
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````